.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

.App-title {
  color: whitesmoke;
  font-size: 40px;
  font-family: sans-serif;
  font-weight: bold;

  transform: translate(-35%);

  animation: fadeInLeft 0.4s ease-out;
}

.App-subtitle {
  color: whitesmoke;
  font-size: 28px;
  height: 50px;
  font-family: sans-serif;
  font-weight: bold;

  transform: translate(10%);

  animation: fadeInRight 0.4s ease-out;
}

.Button-Create {
  border-radius: 3px;
  height: 40px; 
  position: absolute;
  top: -20px;

  left: 50%;
  transform: translateX(-50%);

  animation: fadeInDelayed 1.2s, center-pulse 1s 3 ease-in-out;
}

.CollectionView-Content {
  animation: fadeInDelayed 0.8s ease-out;
}

.main-container {
  background: linear-gradient(to right top, #051937, #004d7a, #008793, #00bf72, #a8eb12);
  /* background: linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%); */
  background-repeat: no-repeat;
}

.form-title {
  color: black;
  font-weight: 600;
  font-size: medium;
}

.relative {
  position: relative;
}

.toast {
  position: fixed;
  top: 60px;
  right: 5px;

  animation: toastFadeIn 0.3s ease-out;
}

.dropdown-item:active {
  background-color: #aaaaaa !important;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes fadeInLeft {
  0% {
    opacity: 0;
    transform: translate(-100%);
 }
 100% {
    opacity: 1;
 }
}

@keyframes fadeInRight {
  0% {
    opacity: 0;
    right: 0%;
    transform: translateX(100%);
 }
 100% {
    opacity: 1;
 }
}

@keyframes fadeInDelayed {
  0% {
    opacity: 0;
 }
 50% {
  opacity: 0;
 }
 100% {
    opacity: 1;
 }
}

@keyframes center-pulse {
	0% {
		transform: scale(1) translateX(-50%);
		/* box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7); */
	}

	70% {
		transform: scale(0.95) translateX(-50%);
		/* box-shadow: 0 0 0 10px rgba(0, 0, 0, 0); */
	}

	100% {
		transform: scale(1) translateX(-50%);
		/* box-shadow: 0 0 0 0 rgba(0, 0, 0, 0); */
	}
}

@keyframes toastFadeIn {
  from {
    right: -10vw;
  }
  to {
    right: 0%;
  }
}